Bug 739854 - There is no way to distinguish between user and group in search
Summary: There is no way to distinguish between user and group in search
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.2
Assignee: Laszlo Hornyak
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks: 859727
TreeView+ depends on / blocked
 
Reported: 2011-09-20 08:32 UTC by Michael Pasternak
Modified: 2014-01-13 00:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 859727 (view as bug list)
Environment:
Last Closed: 2013-02-15 06:47:04 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Michael Pasternak 2011-09-20 08:32:39 UTC
Description of problem:

There is no way to distinguish between user and group in search

How reproducible:

Users: 

return both users and groups

Users: usrname = ""

return groups

Comment 1 Michael Pasternak 2011-09-20 09:33:52 UTC
p.s its doesn't sounds right conceptual, as Users: search returns groups ...
for groups the search should look like (SearchType.DBGroup, "Groups:...")

Comment 2 Itamar Heim 2011-09-20 10:54:41 UTC
(In reply to comment #1)
> p.s its doesn't sounds right conceptual, as Users: search returns groups ...
> for groups the search should look like (SearchType.DBGroup, "Groups:...")

this may be a bit more problematic, but type=users|groups as search parameter is probably easily achievable.

Comment 3 Laszlo Hornyak 2012-07-18 08:35:55 UTC
Ok, so the 'Users' search should only return users and the 'Groups:' search should only return groups? 
Should the 'groups' results still be displayed in the users tab or should there be a new tab for them?

Comment 4 Yair Zaslavsky 2012-07-18 08:56:39 UTC
Einav - in reply to comment#3, can you please provide information about the UI tabs?

Comment 5 Einav Cohen 2012-07-18 14:40:58 UTC
(In reply to comment #4)
> Einav - in reply to comment#3, can you please provide information about the
> UI tabs?

depends on the search-syntax solution: We basically have a main tab for every searchable business entity. 
If we want to separate Users and Group to be conceptually different business entities, then each one of them should have a main tab of its own.
However, we need to consider more things, such as dialogs that contain users/groups search (e.g. "Add Permission" dialog) - should we have a separation there as well? What about the permissions sub-tab? should we have separate sub-tabs for users permissions and group permissions?

Personally, I don't perceive them as separate business entities: Although they are completely different from directory-services perspective, they are almost the same from oVirt's perspective. 

Therefore, I tend to think that having type=users|groups as search parameter (as Itamar has suggested in Comment #2) is better than having two separate business entities (Users and Groups). In this case, there is no affect at all on the GUI - we remain with Users main tab only, no need to re-think about users-search within dialogs, users-related business entities GUI representation (e.g. permissions), etc.

Comment 6 Laszlo Hornyak 2012-07-18 16:16:20 UTC
http://gerrit.ovirt.org/6417

Comment 7 Laszlo Hornyak 2012-09-25 12:16:32 UTC
merged upstream I5aceb6b682c554afeaa347e7574b2073fcbdc82f

Comment 10 Itamar Heim 2013-01-16 16:10:07 UTC
3.2 beta built, moving to ON_QA status to allow testing


Note You need to log in before you can comment on or make changes to this bug.